Bug 29200 - Remove Adlibris cover service
Summary: Remove Adlibris cover service
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: System Administration (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords: Manual, rel_21_11_candidate
Depends on: 8630
Blocks: 28180
  Show dependency treegraph
 
Reported: 2021-10-10 10:48 UTC by Katrin Fischer
Modified: 2021-10-22 15:39 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Text to go in the release notes:
Version(s) released in:
21.11.00


Attachments
Bug 29200: Remove Adlibris cover service (32.62 KB, patch)
2021-10-12 15:38 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 29200: Remove Adlibris cover service (32.67 KB, patch)
2021-10-13 18:49 UTC, David Nind
Details | Diff | Splinter Review
Bug 29200: Remove Adlibris cover service (32.73 KB, patch)
2021-10-19 14:05 UTC, Martin Renvoize
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2021-10-10 10:48:04 UTC
When turning on the Adlibris cover service now, there is a thumbnail link showing on the results list and a "Cover image" link (slightly prettier) on the details page, but no covers are showing.

Maybe there is some new limitation on the service now?
Comment 1 Magnus Enger 2021-10-11 13:05:03 UTC
I think Adlibris just discontinued the free service. I'll double check to make sure.
Comment 2 Magnus Enger 2021-10-12 10:33:44 UTC
Yeah, it is confirmed that Adlibris has stopped offering free covers. So this feature could/should basically be removed.
Comment 3 Owen Leonard 2021-10-12 14:58:41 UTC
(In reply to Magnus Enger from comment #2)
> Yeah, it is confirmed that Adlibris has stopped offering free covers. So
> this feature could/should basically be removed.

Thanks for checking for us Magnus. I'm going to repurpose this bug report for the removal.
Comment 4 Owen Leonard 2021-10-12 15:38:08 UTC
Created attachment 126102 [details] [review]
Bug 29200: Remove Adlibris cover service

This patch removes integration of the Adlibris cover service which has
been discontinued.

To test, apply the patch and rebuild the OPAC and staff interface CSS:
(https://wiki.koha-community.org/wiki/Working_with_SCSS_in_the_OPAC_and_staff_client).

- Run the database update.
- Go to Administration -> System preferences -> Enhanced content. You
  should see no Adlibris-related preferences.
- Perform a catalog search and confirm that the search result and detail
  pages look correct.
- Enable one or more other cover image services and test that search
  results and detail page look correct.
- Perform the same test in the OPAC including these pages:
  - Catalog search results
  - Bibliographic detail page
  - Lists
  - Comments
  - User summary
  - User reading history
Comment 5 David Nind 2021-10-13 18:49:31 UTC
Created attachment 126234 [details] [review]
Bug 29200: Remove Adlibris cover service

This patch removes integration of the Adlibris cover service which has
been discontinued.

To test, apply the patch and rebuild the OPAC and staff interface CSS:
(https://wiki.koha-community.org/wiki/Working_with_SCSS_in_the_OPAC_and_staff_client).

- Run the database update.
- Go to Administration -> System preferences -> Enhanced content. You
  should see no Adlibris-related preferences.
- Perform a catalog search and confirm that the search result and detail
  pages look correct.
- Enable one or more other cover image services and test that search
  results and detail page look correct.
- Perform the same test in the OPAC including these pages:
  - Catalog search results
  - Bibliographic detail page
  - Lists
  - Comments
  - User summary
  - User reading history

Signed-off-by: David Nind <david@davidnind.com>
Comment 6 Martin Renvoize 2021-10-19 14:05:01 UTC
Created attachment 126504 [details] [review]
Bug 29200: Remove Adlibris cover service

This patch removes integration of the Adlibris cover service which has
been discontinued.

To test, apply the patch and rebuild the OPAC and staff interface CSS:
(https://wiki.koha-community.org/wiki/Working_with_SCSS_in_the_OPAC_and_staff_client).

- Run the database update.
- Go to Administration -> System preferences -> Enhanced content. You
  should see no Adlibris-related preferences.
- Perform a catalog search and confirm that the search result and detail
  pages look correct.
- Enable one or more other cover image services and test that search
  results and detail page look correct.
- Perform the same test in the OPAC including these pages:
  - Catalog search results
  - Bibliographic detail page
  - Lists
  - Comments
  - User summary
  - User reading history

Signed-off-by: David Nind <david@davidnind.com>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 7 Martin Renvoize 2021-10-19 14:05:39 UTC
QA scripts happy, works as expected.. nice to see this cleanup

Passing QA
Comment 8 Jonathan Druart 2021-10-19 14:28:04 UTC
I am sorry but bug 28180 is touching cover images and this removal will conflict with it. It has been signed off 6 months ago, and I think it would be fair to base this removal on top of it.

I can rebase on top if you agree.
Comment 9 Jonathan Druart 2021-10-19 14:30:59 UTC
(In reply to Jonathan Druart from comment #8)
> I am sorry but bug 28180 is touching cover images and this removal will
> conflict with it. It has been signed off 6 months ago, and I think it would
> be fair to base this removal on top of it.
> 
> I can rebase on top if you agree.

Nevermind, it should be quite easy either way.
Comment 10 Jonathan Druart 2021-10-21 10:25:06 UTC
Pushed to master for 21.11, thanks to everybody involved!